<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/home_root"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/login_header"
    android:orientation="vertical"
    android:weightSum="100">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="@color/white"
            app:layout_scrollFlags="scroll|enterAlways"
            android:elevation="8dp"
            app:theme="@style/ThemeOverlay.AppCompat.Light"
            app:popupTheme="@style/AppTheme.PopupOverlay">

        </androidx.appcompat.widget.Toolbar>

    </com.google.android.material.appbar.AppBarLayout>

    <RelativeLayout
        android:id="@+id/layout1"
        android:layout_width="fill_parent"
        android:layout_height="0dp"
        android:layout_below="@+id/mainpage_header"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:layout_weight="25">

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_marginLeft="3sp"
            android:layout_marginTop="20dp"
            android:text=""
            android:textColor="@color/colorPrimary"
            android:textSize="18sp"
            android:textStyle="bold" />

        <Spinner
            android:id="@+id/spinner_reason"
            android:layout_width="match_parent"
            android:layout_height="50sp"
            android:layout_alignParentLeft="true"
            android:layout_below="@id/textView2"
            android:layout_marginTop="5dp"

            />


    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/relimgcam"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="40"
        android:orientation="vertical"
        android:visibility="gone">

        <ImageButton
            android:id="@+id/imgcam"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:background="@null"
            android:src="@mipmap/camera_orange" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/layout_reason"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="5dp"
        android:layout_weight="20"
        android:orientation="vertical"
        android:visibility="gone"
        >

        <TextView
            android:id="@+id/tv_remark"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="10dp"
            android:text="@string/Remark"
            android:textColor="@color/colorPrimary"
            android:textSize="18sp"
            android:textStyle="bold" />

        <EditText
            android:id="@+id/reasontxt"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_below="@id/tv_remark"
            android:ems="20"
            />

        <Spinner
            android:id="@+id/spinner_sub_reason"
            android:layout_width="match_parent"
            android:layout_height="50sp"
            android:layout_alignParentLeft="true"
            android:layout_below="@id/tv_remark"
            android:layout_marginTop="5dp"
            android:visibility="gone"
            />

    </RelativeLayout>


    <RelativeLayout

        android:layout_width="match_parent"
        android:layout_height="0dp"

        android:layout_weight="15"
        android:orientation="vertical">

        <Button
            android:id="@+id/save"
            android:layout_width="100sp"
            android:layout_height="40sp"
            android:layout_centerInParent="true"
            android:background="@color/colorPrimary"
            android:text="@string/save"
            android:textColor="#ffffff"
            android:textSize="17sp" />
    </RelativeLayout>


</LinearLayout>